Name:           perl-Data-AMF
Version:        0.09
Release:        12%{?dist}
Summary:        Serialize/deserialize Adobe's AMF (ActionMessageFormat) data
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/~typester/Data-AMF-0.09/lib/Data/AMF.pm
Source0:        http://search.cpan.org/CPAN/authors/id/T/TY/TYPESTER/Data-AMF-0.09.tar.gz
BuildArch:      noarch

BuildRequires:  perl(constant)
BuildRequires:  perl(Any::Moose)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(DateTime)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Spiffy)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(UNIVERSAL::require)
BuildRequires:  perl(XML::LibXML)
BuildRequires:  perl(YAML)

Requires:       perl(DateTime)
Requires:       perl(XML::LibXML)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module is a (de-)serializer for Adobe's AMF (Action Message Format).
Data::AMF is core module and it recognizes only AMF data, not AMF packet.
If you want to read/write AMF Packet, see Data::AMF::Packet instead.


%prep
%setup -q -n Data-AMF-%{version}
rm inc/YAML.pm
sed -i -e '/^inc\/YAML.pm$/d' MANIFEST
echo VENDORLIB %{perl_vendorlib}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.09-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.09-10
- Perl 5.22 rebuild

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.09-9
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Petr Pisar <ppisar@redhat.com> - 0.09-7
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jun 07 2012 Petr Pisar <ppisar@redhat.com> - 0.09-3
- Perl 5.16 rebuild
- YAML::Base does not exist anymore

* Thu Feb 23 2012 Alec Leamas <alec@nowhere.com>             0.09-2
- Fixing review remarks.

* Sat Jan 31 2012 Alec Leamas <alec@nowhere.com>             0.09-1
- Intial packaging

